_LWP_KILL(2)

NAME
_lwp_kill - send a signal to a light-weight process

LIBRARY
libc

SYNOPSIS
#include <lwp.h>
int
_lwp_kill(lwpid_t lwp, int sig);

DESCRIPTION
_lwp_kill() sends the signal specified by sig to the light-weight process specified by lwp. If the sig argument is given as 0 (zero), _lwp_kill will test for the existence of the target LWP, but will take no further action.

Job control signals and uncatchable signals can not be directed to a specific LWP: if posted with _lwp_kill, they will affect all LWPs in the process.

Signals will be posted successfully to suspended LWPs, but will not be handled further until the LWP has been continued.

RETURN VALUES
A 0 value indicates that the call succeeded. A -1 return value indicates an error occurred and errno is set to indicate the reason.

ERRORS

[EINVAL]
    sig is not a valid signal number.

[ESRCH]
    No LWP can be found in the current process corresponding to that specified by lwp.

SEE ALSO
_lwp_continue(2), _lwp_suspend(2), kill(2), sigaction(2), signal(7)

HISTORY
The _lwp_kill() system call first appeared in NetBSD 5.0.